Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(311)

Issue 4837050: Doc: Added \compoundMeter function to NR (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 10 months ago by pkx166h
Modified:
7 years, 9 months ago
Reviewers:
Visibility:
Public.

Description

Doc: Added \compoundMeter function to NR Tracker 1776. Added function to Polymetric Notation section removed old snippets (which have been superceded by this function). Also took the opportunity to make some minor grammatical changes to make (hopefully) the other examples and their explanations clearer. Some style changes needed (used @subheading instead of @strong{}) Also removed other references to the snippet in the NR and moved cindex entries to the new location.

Patch Set 1 #

Total comments: 14

Patch Set 2 : Draft Two #

Patch Set 3 : fixed some missed typos of last draft #

Total comments: 9

Patch Set 4 : Draft Three. #

Total comments: 12

Patch Set 5 : Draft 4 #

Total comments: 2

Patch Set 6 : Draft 5 - including Texidoc removals #

Patch Set 7 : New Patch that compiles on latest tree #

Patch Set 8 : also removed snippet from git and ran makelsr.py #

Patch Set 9 : Patch with correctted snippet edit #

Unified diffs Side-by-side diffs Delta from patch set Stats (+178 lines, -138 lines) Patch
M Documentation/de/notation/rhythms.itely View 1 2 3 4 5 6 2 chunks +0 lines, -9 lines 0 comments Download
M Documentation/de/notation/world.itely View 1 2 3 4 5 6 1 chunk +0 lines, -3 lines 0 comments Download
M Documentation/es/notation/rhythms.itely View 1 2 3 4 5 6 2 chunks +0 lines, -9 lines 0 comments Download
M Documentation/es/notation/world.itely View 1 2 3 4 5 6 1 chunk +0 lines, -3 lines 0 comments Download
M Documentation/fr/notation/rhythms.itely View 1 2 3 4 5 6 2 chunks +0 lines, -9 lines 0 comments Download
M Documentation/fr/notation/world.itely View 1 2 3 4 5 6 1 chunk +0 lines, -3 lines 0 comments Download
M Documentation/ja/notation/rhythms.itely View 1 2 3 4 5 6 2 chunks +0 lines, -9 lines 0 comments Download
M Documentation/music-glossary.tely View 1 2 3 4 2 chunks +8 lines, -19 lines 0 comments Download
M Documentation/notation/rhythms.itely View 1 2 3 4 5 6 6 chunks +59 lines, -36 lines 0 comments Download
M Documentation/notation/world.itely View 1 2 3 4 5 6 1 chunk +0 lines, -3 lines 0 comments Download
M Documentation/snippets/alternative-breve-note.ly View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M Documentation/snippets/changing-fret-orientations.ly View 1 2 3 4 5 6 7 1 chunk +13 lines, -0 lines 0 comments Download
M Documentation/snippets/chord-glissando-in-tablature.ly View 1 2 3 4 5 6 7 1 chunk +13 lines, -0 lines 0 comments Download
M Documentation/snippets/chordchanges-for-fretboards.ly View 1 2 3 4 5 6 7 1 chunk +10 lines, -0 lines 0 comments Download
M Documentation/snippets/compound-time-signatures.ly View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -14 lines 0 comments Download
M Documentation/snippets/customizing-fretboard-fret-diagrams.ly View 1 2 3 4 5 6 7 1 chunk +14 lines, -0 lines 0 comments Download
M Documentation/snippets/dynamics-custom-text-spanner-postfix.ly View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/snippets/fingerings,-string-indications,-and-right-hand-fingerings.ly View 1 2 3 4 5 6 7 1 chunk +3 lines, -3 lines 0 comments Download
M Documentation/snippets/fretboards-alternate-tables.ly View 1 2 3 4 5 6 7 1 chunk +22 lines, -0 lines 0 comments Download
M Documentation/snippets/fretted-string-harmonics-in-tablature.ly View 1 2 3 4 5 6 7 1 chunk +7 lines, -0 lines 0 comments Download
M Documentation/snippets/modifying-default-values-for-articulation-shorthand-notation.ly View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/snippets/new/compound-time-signatures.ly View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -14 lines 0 comments Download
M Documentation/snippets/open-string-harmonics-in-tablature.ly View 1 2 3 4 5 6 7 1 chunk +9 lines, -0 lines 0 comments Download
M Documentation/snippets/slides-in-tablature.ly View 1 2 3 4 5 6 7 1 chunk +10 lines, -0 lines 0 comments Download

Messages

Total messages: 29
pkx166h
Patch ready for review. But also see http://code.google.com/p/lilypond/issues/detail?id=1776#c6 as there are still some points I ...
7 years, 10 months ago (2011-08-02 23:23:33 UTC) #1
Janek Warchol
I think the \compoundMeter description should be more detailed. http://codereview.appspot.com/4837050/diff/1/Documentation/notation/rhythms.itely File Documentation/notation/rhythms.itely (right): http://codereview.appspot.com/4837050/diff/1/Documentation/notation/rhythms.itely#newcode1555 Documentation/notation/rhythms.itely:1555: ...
7 years, 10 months ago (2011-08-03 06:50:15 UTC) #2
Trevor Daniels
Hi James Needs a bit more work along the lines suggested by Janek. This is ...
7 years, 10 months ago (2011-08-04 08:31:35 UTC) #3
Reinhold
http://codereview.appspot.com/4837050/diff/1/Documentation/notation/rhythms.itely File Documentation/notation/rhythms.itely (right): http://codereview.appspot.com/4837050/diff/1/Documentation/notation/rhythms.itely#newcode1638 Documentation/notation/rhythms.itely:1638: \compoundMeter #'@var{(list of numbers)} On 2011/08/03 06:50:15, Janek Warchol ...
7 years, 10 months ago (2011-08-04 11:12:21 UTC) #4
pkx166h
Second Draft. Hopefully I've covered everything without being too verbose or talking through the code. ...
7 years, 10 months ago (2011-08-04 21:56:35 UTC) #5
Janek Warchol
2011/8/4 <reinhold.kainhofer@gmail.com>: > I would definitely mention here that the automatic beaming > and the ...
7 years, 10 months ago (2011-08-05 10:07:46 UTC) #6
Janek Warchol
http://codereview.appspot.com/4837050/diff/9001/Documentation/music-glossary.tely File Documentation/music-glossary.tely (right): http://codereview.appspot.com/4837050/diff/9001/Documentation/music-glossary.tely#newcode2114 Documentation/music-glossary.tely:2114: \compoundMeter #'((3 8) (2 8) (4 8)) Nice catch! ...
7 years, 10 months ago (2011-08-05 11:02:38 UTC) #7
pkx166h
On 2011/08/05 10:07:46, Janek Warchol wrote: > 2011/8/4 <reinhold.kainhofer@gmail.com>: > > I would definitely mention ...
7 years, 10 months ago (2011-08-07 08:22:25 UTC) #8
pkx166h
New Draft. Thanks James http://codereview.appspot.com/4837050/diff/9001/Documentation/notation/rhythms.itely File Documentation/notation/rhythms.itely (right): http://codereview.appspot.com/4837050/diff/9001/Documentation/notation/rhythms.itely#newcode1554 Documentation/notation/rhythms.itely:1554: multiplied by 2/3 -- as ...
7 years, 10 months ago (2011-08-07 08:22:47 UTC) #9
Janek Warchol
overall LGTM http://codereview.appspot.com/4837050/diff/15001/Documentation/notation/rhythms.itely File Documentation/notation/rhythms.itely (right): http://codereview.appspot.com/4837050/diff/15001/Documentation/notation/rhythms.itely#newcode1643 Documentation/notation/rhythms.itely:1643: come before it indicate the beat value. ...
7 years, 10 months ago (2011-08-07 12:30:06 UTC) #10
Trevor Daniels
Almost there - a couple of comments ... http://codereview.appspot.com/4837050/diff/15001/Documentation/music-glossary.tely File Documentation/music-glossary.tely (right): http://codereview.appspot.com/4837050/diff/15001/Documentation/music-glossary.tely#newcode2114 Documentation/music-glossary.tely:2114: \compoundMeter ...
7 years, 10 months ago (2011-08-07 15:24:44 UTC) #11
pkx166h
New Draft. Before I push this (and as Neil has just done an LSR update) ...
7 years, 10 months ago (2011-08-07 20:33:38 UTC) #12
Neil Puttock
On 7 August 2011 21:33, <pkx166h@gmail.com> wrote: > Before I push this (and as Neil ...
7 years, 10 months ago (2011-08-07 21:47:48 UTC) #13
Graham Percival (old account)
LGTM
7 years, 10 months ago (2011-08-08 00:38:50 UTC) #14
Janek Warchol
http://codereview.appspot.com/4837050/diff/15001/Documentation/notation/rhythms.itely File Documentation/notation/rhythms.itely (right): http://codereview.appspot.com/4837050/diff/15001/Documentation/notation/rhythms.itely#newcode1555 Documentation/notation/rhythms.itely:1555: shown durations are multiplied by 3/5 -- as 3/5 ...
7 years, 10 months ago (2011-08-08 07:32:47 UTC) #15
pkx166h
Draft 5 - removed all translation docs with this snippet in it too (for when ...
7 years, 10 months ago (2011-08-08 21:40:23 UTC) #16
Trevor Daniels
LGTM Although I'm not sure about editing the other language files. Best wait for Francisco ...
7 years, 10 months ago (2011-08-08 22:09:09 UTC) #17
Neil Puttock
LGTM.
7 years, 10 months ago (2011-08-19 21:13:49 UTC) #18
janek
Just to make things clear, LGTM (and sorry for my long absence) Thanks for your ...
7 years, 10 months ago (2011-08-22 19:08:38 UTC) #19
pkx166h
On 2011/08/08 22:09:09, Trevor Daniels wrote: > LGTM > Although I'm not sure about editing ...
7 years, 10 months ago (2011-08-24 21:33:16 UTC) #20
pkx166h
On 2011/08/08 22:09:09, Trevor Daniels wrote: > LGTM > Although I'm not sure about editing ...
7 years, 10 months ago (2011-08-24 21:33:34 UTC) #21
janek
James, i see this patch is quite orphaned despite being very nice and ready-to-go. Shall ...
7 years, 9 months ago (2011-09-05 20:54:39 UTC) #22
pkx166h
Janek On Mon, Sep 5, 2011 at 9:54 PM, <janek.lilypond@gmail.com> wrote: > James, > i ...
7 years, 9 months ago (2011-09-06 08:14:19 UTC) #23
pacovila
Hello all, 2011/9/6 Peekay Ex <pkx166h@gmail.com>: > I need to make a new patch. It's ...
7 years, 9 months ago (2011-09-09 23:36:12 UTC) #24
pkx166h
New patch uploaded with corrected snippet edit
7 years, 9 months ago (2011-09-11 08:05:26 UTC) #25
Graham Percival (old account)
LGTM, not tested compile but I trust James.
7 years, 9 months ago (2011-09-11 14:28:43 UTC) #26
janek
LGTM
7 years, 9 months ago (2011-09-11 19:42:04 UTC) #27
Neil Puttock
LGTM.
7 years, 9 months ago (2011-09-12 11:06:30 UTC) #28
pkx166h
7 years, 9 months ago (2011-09-15 19:36:20 UTC) #29
Pushed as

c358ec6f8ed8f31b5fa1d97da6a2284b3759bdfd

Closing issue.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b